public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/rust-common/
Date: Sat,  9 Nov 2024 07:42:13 +0000 (UTC)	[thread overview]
Message-ID: <1731138114.2d190c9e5b1db3292ea5d36f77a314eee019f99d.sam@gentoo> (raw)

commit:     2d190c9e5b1db3292ea5d36f77a314eee019f99d
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Nov  9 07:41:28 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Nov  9 07:41:54 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d190c9e

dev-lang/rust-common: avoid unpacking whole archive

Reported by mgorny (and suggested fix is by him): unpack just cargo.bashcomp.sh
from the distfile instead of the whole thing, that way we don't need
chcek-reqs.eclass.

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-lang/rust-common/rust-common-1.81.0.ebuild | 5 +++++
 dev-lang/rust-common/rust-common-1.82.0.ebuild | 5 +++++
 2 files changed, 10 insertions(+)

diff --git a/dev-lang/rust-common/rust-common-1.81.0.ebuild b/dev-lang/rust-common/rust-common-1.81.0.ebuild
index ae917833b983..b977c5aa1b92 100644
--- a/dev-lang/rust-common/rust-common-1.81.0.ebuild
+++ b/dev-lang/rust-common/rust-common-1.81.0.ebuild
@@ -34,6 +34,11 @@ RDEPEND="
 	!dev-lang/rust-bin:stable
 "
 
+src_unpack() {
+	# Avoid unpacking the whole tarball which would need check-reqs
+	tar -xf "${DISTDIR}"/${SRC} ${SRC%%.tar.xz}/src/tools/cargo/src/etc/cargo.bashcomp.sh || die
+}
+
 src_configure() {
 	:
 }

diff --git a/dev-lang/rust-common/rust-common-1.82.0.ebuild b/dev-lang/rust-common/rust-common-1.82.0.ebuild
index 19197b4537fd..0d4b5aa7b8ae 100644
--- a/dev-lang/rust-common/rust-common-1.82.0.ebuild
+++ b/dev-lang/rust-common/rust-common-1.82.0.ebuild
@@ -35,6 +35,11 @@ RDEPEND="
 	!dev-lang/rust-bin:stable
 "
 
+src_unpack() {
+	# Avoid unpacking the whole tarball which would need check-reqs
+	tar -xf "${DISTDIR}"/${SRC} ${SRC%%.tar.xz}/src/tools/cargo/src/etc/cargo.bashcomp.sh || die
+}
+
 src_configure() {
 	:
 }


             reply	other threads:[~2024-11-09  7:42 UTC|newest]

Thread overview: 41+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-11-09  7:42 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-05-16  6:01 [gentoo-commits] repo/gentoo:master commit in: dev-lang/rust-common/ Arthur Zamarin
2025-05-06  2:20 Matt Jolly
2025-04-23 15:18 Sam James
2025-04-23 11:37 Matt Jolly
2025-04-21 16:55 Arthur Zamarin
2025-04-21 16:15 Arthur Zamarin
2025-04-21  7:43 Sam James
2025-04-19 22:19 Sam James
2025-04-19 20:29 Sam James
2025-04-03 19:03 Arthur Zamarin
2025-04-01 23:38 Matt Jolly
2025-03-19 20:59 Arthur Zamarin
2025-02-28  7:10 Arthur Zamarin
2025-02-22  8:18 Arthur Zamarin
2025-02-22  8:17 Arthur Zamarin
2025-02-22  8:17 Arthur Zamarin
2025-02-21 19:54 Arthur Zamarin
2025-02-21 19:54 Arthur Zamarin
2025-02-21 18:50 Arthur Zamarin
2025-02-21 11:14 Arthur Zamarin
2025-02-21 11:14 Arthur Zamarin
2025-02-05 18:37 Arthur Zamarin
2025-01-18  7:12 Arthur Zamarin
2025-01-18  7:12 Arthur Zamarin
2025-01-17 17:08 Arthur Zamarin
2025-01-17 16:00 Arthur Zamarin
2025-01-17 16:00 Arthur Zamarin
2025-01-17 16:00 Arthur Zamarin
2025-01-17 16:00 Arthur Zamarin
2025-01-11  8:10 Arthur Zamarin
2025-01-04 20:28 Sam James
2025-01-04 20:28 Sam James
2025-01-04 16:22 Arthur Zamarin
2025-01-04 16:17 Sam James
2025-01-04 14:37 Sam James
2025-01-04 14:27 Sam James
2025-01-04 14:13 Sam James
2024-12-01  8:23 Arthur Zamarin
2024-11-10 13:03 Sam James
2024-11-09  6:42 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1731138114.2d190c9e5b1db3292ea5d36f77a314eee019f99d.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox